# Scripting Interfaces

## Console Object

The Console object allows you to print messages of different importance to a log.

Console is not a constructor. All properties and methods of Console can be called by using Console as an object, without creating it.

## Syntax

    Console.log("This is a program message."); // print a program message
    Console.debug("A debug message."); // print a debug message

## Console Object Methods

### log()

Print the given message of normal severity.

    void log
        string message

### debug()

Print the given debug message.

    void debug
        string message

### error()

Print the given error message of high severity.

    void error
        string message